PASSWD(1)

NAME
passwd - ändert das Passwort eines Benutzers

SYNOPSIS

passwd [Optionen] [LOGIN]

BESCHREIBUNG

The passwd command changes passwords for user accounts. A normal user may only change the password for his/her own account, while the superuser may change the password for any account. passwd also changes account information, such as the full name of the user, the user's login shell, or his/her password expiry date and interval.

  Verändern des Passworts

The user is first prompted for his/her old password, if one is present. This password is then encrypted and compared against the stored password. The user has only one chance to enter the correct password. The superuser is permitted to bypass this step so that forgotten passwords may be changed.

Nachdem das Passwort eingegeben wurde, werden Informationen über die Gültigkeitsdauer des Passworts abgefragt, um festzustellen, ob der Benutzer das Passwort zu dieser Zeit verändern darf. Wenn nicht, lehnt passwd die Änderung des Passworts ab und beendet sich.

Der Benutzer wird dann aufgefordert, zweimal ein neues Passwort einzugeben. Beide Eingaben werden miteinander verglichen. Sie müssen übereinstimmen, damit das Passwort geändert wird.

Anschließend wird das Passwort auf seine Komplexität überprüft. Eine allgemeine Richtlinie ist, dass Passwörter aus sechs bis acht Zeichen bestehen sollten und ein oder mehrere Zeichen aus folgenden Mengen enthalten sollten:

    • Kleinbuchstaben

    • Ziffern 0 bis 9

    • Satzzeichen

Seien Sie vorsichtig, dass Sie nicht die standardmäßigen Lösch- und Kill-Zeichen des Systems eingeben. passwd weist Passwörter zurück, die nicht hinreichend komplex sind.

  Hinweise zu Benutzerpasswörtern

Die Sicherheit eines Passworts hängt von der Stärke des Verschlüsselungsalgorithmus und von der Größe des Schlüsselraums ab. Die Verschlüsselung auf UNIX-Systemen basiert auf dem NBS-DES-Algorithmus und ist sehr sicher. Die Größe des Schlüsselraums hängt von der Zufälligkeit des gewählten Passworts ab.

Gefahren für die Sicherheit von Passwörtern kommen gewöhnlich von sorgloser Wahl oder Handhabung des Passworts. Daher sollten Sie kein Passwort wählen, das in einem Wörterbuch auftaucht oder das aufgeschrieben werden muss. Das Passwort sollte somit kein echter Name, Ihr Autokennzeichen, Geburtstag oder Ihre Adresse sein. All das kann dazu verwendet werden, das Passwort zu erraten, und stellt daher eine Gefahr für die Sicherheit Ihres Systems dar.

You can find advices on how to choose a strong password on http://en.wikipedia.org/wiki/Password_strength

OPTIONEN

Die Optionen, die vom Befehl passwd unterstützt werden, sind:

-a, --all
    Diese Option kann nur in Verbindung mit -S verwendet werden und führt dazu, dass der Status aller Benutzer angezeigt wird.

-d, --delete
    Löscht das Passwort eines Benutzers (macht es leer). Dies ist ein schneller Weg, um das Passwort eines Kontos zu deaktivieren. Dem Konto ist dann kein Passwort zugeordnet.

-e, --expire
    Lässt das Passwort eines Kontos sofort verfallen. Im Ergebnis kann damit erreicht werden, dass ein Benutzer beim nächsten Login das Passwort ändern muss.

-h, --help
    Zeigt die Hilfe an und beendet das Programm.

-i, --inactiveINAKTIV
    Mit dieser Option wird ein Konto deaktiviert, nachdem das Passwort für eine bestimmte Anzahl von Tagen abgelaufen ist. Wenn ein Benutzerkonto ein abgelaufenes Passwort für länger als INAKTIV Tage hatte, kann sich der Benutzer nicht mehr auf diesem Konto anmelden.

-k, --keep-tokens
    Indicate password change should be performed only for expired authentication tokens (passwords). The user wishes to keep their non-expired tokens as before.

-l, --lock
    Lock the named account. This option disables an account by changing the password to a value which matches no possible encrypted value, and by setting the account expiry field to 1.

-m, --mindaysMIN_TAGE
    Setzt die Anzahl von Tagen, die mindestens zwischen zwei Änderungen eines Passworts vergehen müssen, auf MIN_TAGE. Ein Wert von Null in diesem Feld bedeutet, dass der Benutzer sein Passwort jederzeit ändern darf.

-q, --quiet
    Stiller Modus.

-r, --repositoryPASSWORTDEPOT
    change password in REPOSITORY repository

-S, --status
    Zeigt Informationen über den Kontostatus an. Die Statusinformation besteht aus sieben Feldern. Das erste Feld ist der Login-Name des Benutzers. Das zweite Feld zeigt an, ob das Benutzerkonto gesperrt ist (L), kein Passwort hat (NP) oder ein verwendbares Passwort hat (P). Das dritte Feld zeigt das Datum der letzten Änderung des Passworts an. Die nächsten vier Felder sind das Mindestalter, das Höchstalter, die Dauer der Warnung und die Dauer der Untätigkeit für das Passwort. Die Zeiträume werden in Tagen ausgedrückt.

-u, --unlock
    Unlock the named account. This option re-enables an account by changing the password back to its previous value (to value before using -l option), and by resetting the account expiry field.

-w, --warndaysWARN_TAGE
    Legt die Anzahl der Tage fest, an denen der Benutzer eine Warnung erhält, bevor sein Passwort ungültig wird. Die Option WARN_TAGE bezeichnet die Anzahl der Tage, für die ein Benutzer vor Verfall seines Passworts gewarnt wird.

-x, --maxdaysMAX_TAGE
    Bestimmt die maximale Anzahl von Tagen, die das Passwort gültig bleibt. Nach MAX_TAGE Tagen muss das Passwort geändert werden.

WARNUNGEN

Es kann sein, dass einige Optionen nicht unterstützt werden. Die Komplexität der Passwortprüfung kann sich auf verschiedenen Systemen unterscheiden. Der Benutzer wird angehalten, ein möglichst komplexes Passwort zu wählen, soweit es ihm angenehm ist. Benutzer können unter Umständen ihr Passwort nicht ändern, wenn auf dem System NIS aktiviert ist, sie aber nicht am NIS-Server angemeldet sind.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

ENCRYPT_METHOD (string)
    This defines the system default encryption algorithm for encrypting passwords (if no algorithm are specified on the command line).

    It can take one of these values:

        • DES (default)

        • MD5

        • SHA256

        • SHA512

        Note: this parameter overrides the MD5_CRYPT_ENAB variable.

        Note: if you use PAM, it is recommended to set this variable consistently with the PAM modules configuration.

MD5_CRYPT_ENAB (boolean)
    Indicate if passwords must be encrypted using the MD5-based algorithm. If set to yes, new passwords will be encrypted using the MD5-based algorithm compatible with the one used by recent releases of FreeBSD. It supports passwords of unlimited length and longer salt strings. Set to no if you need to copy encrypted passwords to other systems which don't understand the new algorithm. Default is no.

    This variable is superceded by the ENCRYPT_METHOD variable or by any command line option used to configure the encryption algorithm.

    This variable is deprecated. You should use ENCRYPT_METHOD.

    Note: if you use PAM, it is recommended to set this variable consistently with the PAM modules configuration.

OBSCURE_CHECKS_ENAB (boolean)
    Enable additional checks upon password changes.

PASS_ALWAYS_WARN (boolean)
    Warn about weak passwords (but still allow them) if you are root.

PASS_CHANGE_TRIES (number)
    Maximum number of attempts to change password if rejected (too easy).

PASS_MAX_LEN (number), PASS_MIN_LEN (number)
    Number of significant characters in the password for crypt(). PASS_MAX_LEN is 8 by default. Don't change unless your crypt() is better. This is ignored if MD5_CRYPT_ENAB set to yes.

SHA_CRYPT_MIN_ROUNDS (number), SHA_CRYPT_MAX_ROUNDS (number)
    When ENCRYPT_METHOD is set to SHA256 or SHA512, this defines the number of SHA rounds used by the encryption algorithm by default (when the number of rounds is not specified on the command line).

    With a lot of rounds, it is more difficult to brute forcing the password. But note also that more CPU resources will be needed to authenticate users.

    If not specified, the libc will choose the default number of rounds (5000).

    The values must be inside the 1000-999999999 range.

    If only one of the SHA_CRYPT_MIN_ROUNDS or SHA_CRYPT_MAX_ROUNDS values is set, then this value will be used.

    If SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, the highest value will be used.

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten.

/etc/shadow
    Verschlüsselte Informationen zu den Benutzerkonten.

RÜCKGABEWERTE

Der Befehl passwd gibt beim Beenden folgende Werte zurück:

0
    Erfolg

1
    Berechtigung verweigert

2
    ungültige Kombination von Optionen

3
    unerwarteter Fehler, nichts wurde verändert

4
    unerwarteter Fehler, die Datei passwd fehlt

5
    Datei passwd wird benutzt, bitte nochmal versuchen

6
    ungültiges Argument für Option

SIEHE AUCH

group(5), passwd(5), shadow(5).